| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IAddressCreator Class Reference

`#include <GaudiKernel/IAddressCreator.h>`

Inheritance diagram for IAddressCreator:

[legend]
Collaboration diagram for IAddressCreator:

[legend]
List of all members.

## Detailed Description

IAddressCreator interface definition.

The address creator allows to:

- Create persistent address representations for a given conversion service using this service itself. The aim is to allow address creation without coupling directly to the service.

Author:
  Markus Frank

Version:
  1.0

Definition at line 32 of file IAddressCreator.h.

## Public Member Functions
virtual StatusCode | createAddress (long svc_type, const CLID &clid, const std::string *par, const unsigned long *ipar, IOpaqueAddress *&refpAddress)=0
| Create a Generic address using explicit arguments to identify a single object.
virtual StatusCode | convertAddress (const IOpaqueAddress *pAddress, std::string &refAddress)=0
| Convert an address to string form.
virtual StatusCode | createAddress (long svc_type, const CLID &clid, const std::string &refAddress, IOpaqueAddress *&refpAddress)=0
| Creates an address in string form to object form.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& IAddressCreator::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 36 of file IAddressCreator.h.

References IID_IAddressCreator.

    00036 { return IID_IAddressCreator; }

virtual StatusCode IAddressCreator::createAddress | ( | long | svc_type,
|  | const CLID & | clid,
|  | const std::string * | par,
|  | const unsigned long * | ipar,
|  | IOpaqueAddress *& | refpAddress |
| ) |  |  | `[pure virtual]`

Create a Generic address using explicit arguments to identify a single object.

Parameters:

  | svc_type | Technology identifier encapsulated in this address.
  | clid | Class identifier of the DataObject represented by the opaque address
  | par | Array of strings needed to construct the opaque address.
  | ipar | Array of integers needed to construct the opaque address.
  | refpAddress | Reference to pointer to the address where the created Address should be stored.

Returns:
  Status code indicating success or failure.

Implemented in ConversionSvc, PoolDbCnvSvc, and PersistencySvc.

Referenced by DetDataSvc::clearStore(), PersistencySvc::createAddress(), EventCollectionSelector::createAddress(), MultiStoreSvc::preparePartitions(), PoolDbBaseCnv::setReferences(), and DetDataSvc::setupDetectorDescription().

virtual StatusCode IAddressCreator::convertAddress | ( | const IOpaqueAddress * | pAddress,
|  | std::string & | refAddress |
| ) |  |  | `[pure virtual]`

Convert an address to string form.

Parameters:

  | pAddress | Input address.
  | refAddress | Output address in string form.

Returns:
  Status code indicating success or failure.

Implemented in ConversionSvc, and PersistencySvc.

Referenced by PersistencySvc::convertAddress().

virtual StatusCode IAddressCreator::createAddress | ( | long | svc_type,
|  | const CLID & | clid,
|  | const std::string & | refAddress,
|  | IOpaqueAddress *& | refpAddress |
| ) |  |  | `[pure virtual]`

Creates an address in string form to object form.

Parameters:

  | svc_type | Technology identifier encapsulated in this address.
  | clid | Class identifier of the DataObject represented by the opaque address
  | address | Input address.
  | refpAddress | Output address in string form.

Returns:
  Status code indicating success or failure.

Implemented in ConversionSvc, and PersistencySvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/IAddressCreator.h